<?PHP

/**
 * @package Component Cost Calculator for Joomla! 1.5
 * @version $Id: com_costcalculator.php 599 2010-10-01 23:26:33Z you $
 * @author Alex Barr
 * @copyright (C) 2010- Alex Barr
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
**/
?>

<script type="text/javascript">

function calculateTotal(inputItem) {
  with (inputItem.form) {
    if (inputItem.type == "radio") {   // Process radio buttons.
      calculatedTotal.value = eval(calculatedTotal.value) - eval(previouslySelectedRadioButton.value);
      previouslySelectedRadioButton.value = eval(inputItem.value);
      calculatedTotal.value = eval(calculatedTotal.value) + eval(inputItem.value);
    } else {   // Process check boxes.
      if (inputItem.checked == false) {   // Item was uncheck. Subtract item value from total.
          calculatedTotal.value = eval(calculatedTotal.value) - eval(inputItem.value);
      } else {   // Item was checked. Add the item value to the total.
          calculatedTotal.value = eval(calculatedTotal.value) + eval(inputItem.value);
      }
    }
    if (calculatedTotal.value < 0) {
      InitForm();
    }
    return(formatCurrency(calculatedTotal.value));
  }
}

function formatCurrency(num) {
  num = num.toString().replace(/\$|\,/g,'');
  if(isNaN(num))
     num = "0";
  sign = (num == (num = Math.abs(num)));
  num = Math.floor(num*100+0.50000000001);
  cents = num%100;
  num = Math.floor(num/100).toString();
  if(cents<10)
      cents = "0" + cents;
  for (var i = 0; i < Math.floor((num.length-(1+i))/3); i++)
      num = num.substring(0,num.length-(4*i+3)) + ',' + num.substring(num.length-(4*i+3));
  return (((sign)?'':'-') + num + '.' + cents);
}


function InitForm() {
  document.selectionForm.total.value='0';
  document.selectionForm.calculatedTotal.value=0;
  document.selectionForm.previouslySelectedRadioButton.value=0;
  for (i=0; i < document.selectionForm.elements.length; i++) {
    if (document.selectionForm.elements[i].type == 'checkbox' | document.selectionForm.elements[i].type == 'radio') {
      document.selectionForm.elements[i].checked = false;
    }
  }
}

</script>

<style type="text/css">
.styleprice_calculator {
				text-align: right;
}
</style>


<body onload="InitForm();" onreset="InitForm();">


<?PHP

/**
 * @package Component Cost Calculator for Joomla! 1.5
 * @version $Id: com_costcalculator.php 599 2010-10-01 23:26:33Z you $
 * @author Alex Barr
 * @copyright (C) 2010- Alex Barr
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
**/


defined( '_JEXEC' ) or die( 'Restricted access' );

$params = &JComponentHelper::getParams( 'com_costcalculator' );

$t_data=$params->get("t_data");
$d_data=$params->get("d_data");
$k_data=$params->get("k_data");
$t_text=$params->get("t_text");
$b_text=$params->get("b_text"); 
$s_text=$params->get("s_text"); 
$c_text=$params->get("c_text"); 
$p_text=$params->get("p_text"); 
$h_text=$params->get("h_text"); 
$d_text=$params->get("d_text"); 

If ($p_text=="") {$p_text="0";} 

If ($p_text=="0") {$pl=$c_text;$pr="";}
If ($p_text=="1") {$pr=$c_text;$pl="";}
 



$mainframe = JFactory::getApplication();
$document =& JFactory::getDocument();
$document->setTitle($t_data);
$document->setDescription($d_data);
$document->setMetaData( 'keywords', $k_data );

echo "<h1>".$t_data."</h1>";
echo $t_text."<br /><br />";

$header_pieces = explode(";", $h_text);
$data_pieces = explode(";", $d_text);


echo "<form method=\"POST\" name=\"selectionForm\">";


for ( $counter = 0; $counter <= count($data_pieces)-1; $counter += 1) {
$l2[$counter]=explode("=", $data_pieces[$counter]);
}

for ( $counter = 0; $counter <= count($header_pieces)-2; $counter += 1) {
$l1[$counter]=explode("=", $header_pieces[$counter]);
echo "<h3>".$l1[$counter][1]."</h3>";

echo "<table style=\"width: 100%\" cellspacing=\"0\" cellpadding=\"0\">";

for ( $counter2 = 0; $counter2 <= count($data_pieces)-1; $counter2 += 1) {
echo "<tr>";
if ($l1[$counter][0]==$l2[$counter2][0]) {
echo "<td style=\"width: 250px\">".$l2[$counter2][2]."</td><td style=\"width: 100px\" class=\"styleprice_calculator\">".$pl.$l2[$counter2][3].$pr."</td>";
if ($l2[$counter2][1]=="radio") {echo "<td>&nbsp;<input type=\"".$l2[$counter2][1]."\" name=\"s".$counter."\" value=\"".$l2[$counter2][3]."\" onclick=\"this.form.total.value=calculateTotal(this);\"></td>";}
if ($l2[$counter2][1]=="checkbox") {echo "<td>&nbsp;<input type=\"".$l2[$counter2][1]."\" name=\"p".$counter2."\" value=\"".$l2[$counter2][3]."\" onclick=\"this.form.total.value=calculateTotal(this);\"></td>";}
}
echo "</tr>";
}
echo "</table>";
}



echo "<br />";

echo "<input type=\"hidden\" name=\"calculatedTotal\" value=\"0\">";
echo "<input type=\"hidden\" name=\"previouslySelectedRadioButton\" value=\"0\">";
echo "<strong>".$s_text."</strong>&nbsp;";
echo $pl."&nbsp;<input type=\"text\" name=\"total\" size=\"10\" readonly onfocus=\"this.blur();\">&nbsp;".$pr;
echo "</form>";




echo "<br />".$b_text."<br /><br />";

//DON'T REMOVE THIS LINK - DO NOT VIOLATE GNU/GPL LICENSE!!!
echo "<a href=\"http://makemoneyscripts.com\">Make Moneys Scripts</a>";
//DON'T REMOVE THIS LINK - DO NOT VIOLATE GNU/GPL LICENSE!!!


?>


